Subject: Re: bug#3736: 23.1.50; Please use null-device instead of /dev/null

From: Sven Joachim <[email-masked]>
Date: Thu, 02 Jul 2009 15:57:33 +0200

On 2009-07-02 15:03 +0200, Jason Rumney wrote:

> Michael Albinus wrote:
>
>> On W32 systems, null-device is "NUL". Not useful for Tramp, it needs
>> "/dev/null" on remote machines.
>>   
>
> What if the remote machine uses "NUL", "NLA0:" or "Dev:Nul" for its
> null device? I think tramp benefits from the use of null-device
> instead of hard-coded "/dev/null" as much as any other part of Emacs.

Not really, you know what null-device should be for the local machine,
but not for remote computers.

Sven